npmをインストールする

nodeをインストールするとnpmもその一部としてインストールできる。

Our examples require node v4.x.x or higher and npm 3.x.x or higher.

上記のバージョンが必要なようで、npmのバージョンが足りないので、v4.6.0 LTS(Recommended For Most Users)ではなくv6.8.0 Current(Latest Features)をインストールする。(2016-10-13時点)

$ node -v
v6.8.0

$ npm -v
3.10.8

Angular CLIをインストールする

プロジェクトやコンポーネントの作成を自動でやってくれるAngular CLIがないと立ち上がりがきつい。

npm install -g angular-cli

Angular CLIでAngular2を動かす

まずは動かしたい。

ng new my-new-app
cd my-new-app
ng server

Angular CLIでAngular2をビルドする

ビルドも一発。

cd my-new-app
ng build --prod

Last-modified: 2016-11-04 (金) 09:58:05 (138d)